% figure1.m

% Ron Alquist

% Bank of Canada

% January 2009


% This program returns Figure 1 of Alquist and Kilian's "What Do We Learn From the Price of

% Crude Oil Futures?"

clear all;

load prices.txt;

prices1 = prices(4:end-10,:);

date = prices1(:,1:2);

s = prices1(:,3);

f1m = prices1(:,4);

f3m = prices1(:,5);

f6m = prices1(:,6);

f9m = prices1(:,7);

f12m = prices1(:,8);

time = [1983 + 4/12 : 1/12 : 2007 + 2/12]';

plot(time,s,'b',time,f3m,'g',time,f6m,'r:',time,f9m,'c--',time,f12m,'m--','LineWidth',2),legend('Spot Price','Futures Price: 3 months', 'Futures Price: 6 months', 'Futures Price: 9 months', 'Futures Price: 12 months'),axis([1983 2007 0 80]), ylabel('Dollars')
