% figure2.m

% Ron Alquist

% Bank of Canada

% January 2009


% This program returns Figure 2 of Alquist and Kilian's "What Do We Learn From the Price of

% Crude Oil Futures?"

clear all;

load volume.txt;

date = volume(:,1:2);

v1m = volume(:,3);

v3m = volume(:,4);

v6m = volume(:,5);

v9m = volume(:,6);

v1y = volume(:,7);

v2y = volume(:,8);

v3y = volume(:,9);

v4y = volume(:,10);

v5y = volume(:,11);

time = [1983+1/12:1/12:2007+2/12]';

subplot(3,3,1)
plot(time, v1m), axis([1983 2007 0 200]), title('1 Month Futures Contract'), ylabel('No. of Contracts (1,000)')

subplot(3,3,2)
plot(time, v3m), axis([1983 2007 0 50]), title('3 Month Futures Contract')

subplot(3,3,3)
plot(time, v6m), axis([1983 2007 0 20]), title('6 Month Futures Contract')

subplot(3,3,4)
plot(time, v9m), axis([1983 2007 0 10]), title('9 Month Futures Contract'), ylabel('No. of Contracts (1,000)')

subplot(3,3,5)
plot(time, v1y), axis([1983 2007 0 10]), title('1 Year Futures Contract')

subplot(3,3,6)
plot(time, v2y), axis([1983 2007 0 5]), title('2 Year Futures Contract')

subplot(3,3,7)
plot(time, v3y), axis([1983 2007 0 3]), title('3 Year Futures Contract'), ylabel('No. of Contracts (1,000)')

subplot(3,3,8)
plot(time, v4y), axis([1983 2007 0 2]), title('4 Year Futures Contract')

subplot(3,3,9)
plot(time, v5y), axis([1983 2007 0 1]), title('5 Year Futures Contract')
